# PMDPHPCPDResultFormatter

Extends \PHPCPDResultFormatter

Prints PMD-XML output of phpcpd run

author | Benjamin Schultz bschultz@proqrent.de
package | phing.tasks.ext.phpcpd.formatter

### Methods

## Processes a list of clones.

    processClones(object $clones, \Project $project, boolean $useFile = false, \PhingFile|null $outFile = null)

inherited abstract

### Arguments

#### $clones

`object`

#### $project

`\Project`

#### $useFile

`boolean`

#### $outFile

`\PhingFile|null`